NonReplicatedLocalNode (ActiveCluster 1.0 API)
Keywords: org.codehaus.activecluster.impl.NonReplicatedLocalNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activecluster.impl
Class NonReplicatedLocalNode

    java.lang.Object
      org.codehaus.activecluster.impl.NodeImpl
          org.codehaus.activecluster.impl.NonReplicatedLocalNode

All Implemented Interfaces:
  LocalNode, Node, Serializable

public class NonReplicatedLocalNode
extends NodeImpl
implements LocalNode

Default implementation of a local Node which doesn't have its state replicated

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.activecluster.impl.NodeImpl
`coordinator, state`

Constructor Summary
`NonReplicatedLocalNode(Destination destination)`

Method Summary
`void` | `pingRemoteNodes()`
`void` | `setState(Map state)` Allows the local state to be modified, which will be replicated asynchronously around the cluster

Methods inherited from class org.codehaus.activecluster.impl.NodeImpl
`getDestination, getName, getState, isCoordinator, setCoordinator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.activecluster.Node
`getDestination, getName, getState, isCoordinator`

Constructor Detail

### NonReplicatedLocalNode

    public NonReplicatedLocalNode(Destination destination)

Method Detail

### setState

    public void setState(Map state)

  Description copied from interface: `LocalNode`
  Allows the local state to be modified, which will be replicated asynchronously around the cluster

  Specified by:
    `setState` in interface `LocalNode`
  Overrides:
    `setState` in class `NodeImpl`

### pingRemoteNodes

    public void pingRemoteNodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Protique, Ltd.. All Rights Reserved.